v.to.lines(1)

NAME
v.to.lines.py - Converts vector polygons or points to lines.

KEYWORDS
vector, geometry, area, line, point

SYNOPSIS
v.to.lines.py
v.to.lines.py --help
v.to.lines.py input=name output=name [method=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

output=name [required]
    Name for output vector map

method=string
    Method used for point interpolation
    Options: delaunay
    Default: delaunay

DESCRIPTION
v.to.lines converts vector polygons (boundaries) to lines as well as vector points to lines via triangulations.

NOTES
v.to.lines is able to convert point data (via triangulation) and areas to lines (via boundary to line conversion). This script is a wrapper script to v.category, v.delaunay, and v.edit.

In order to convert an ordered list of coordinates (ASCII table with x,y[,z] coordinates) into vector lines, use v.in.lines.

EXAMPLES
The examples are for the North Carolina sample dataset location:

  Area to line conversion

v.to.lines input=boundary_municp output=boundary_municp_lines

  Point to line conversion

v.to.lines input=geodetic_pts output=geodetic_pts_lines

SEE ALSO
v.category, v.delaunay, v.edit, v.in.lines, v.to.points, v.type

AUTHOR
Luca Delucchi, Fondazione Edmund Mach

Last changed: $Date: 2015-01-07 21:51:53 +0100 (Wed, 07 Jan 2015) $

SOURCE CODE

Available at: v.to.lines source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.4.4 Reference Manual